import org.eclipse.hyades.logging.events.cbe.ContentHandler;
import org.eclipse.hyades.logging.events.cbe.impl.EventXMLFileEventFactoryHomeImpl;

/*******************************************************************************
 * Copyright (c) 2005,2006 IBM Corporation and others. All rights reserved. This program and the
 * accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: RuntimeEventXMLFileEventFactoryHomeImpl.java,v 1.2 2006/05/11 18:16:51 dnsmith Exp $
 * 
 * Contributors: IBM - Initial API and implementation
 ******************************************************************************/

/**
 * An extension to the <code>TemplateContentHandlerImpl</code> implementation 
 * to set runtime configuration data on created Common Base Events.
 * <p>
 * 
 * @author   Paul E. Slauenwhite
 * @version  May 7, 2004
 */
public class RuntimeEventXMLFileEventFactoryHomeImpl extends EventXMLFileEventFactoryHomeImpl {

    /**
     * @see org.eclipse.hyades.logging.events.cbe.impl.AbstractEventFactoryHome#resolveContentHandler()
     */
    public ContentHandler resolveContentHandler() {
        return (new RuntimeTemplateContentHandlerImpl());
    }
}
